metric definitions
Update metric definitions id
Requires scopes: reports:write
PATCH
/
api
/
metric-definitions
/
{id}
Update metric definitions id
curl --request PATCH \
--url https://evalgate.com/api/metric-definitions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "traces",
"metricKey": "<string>",
"measure": "<string>",
"aggregation": "max",
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"unknownPolicy": "fail",
"calibrationBoundary": {
"state": "not_applicable"
},
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"groupBy": [
"<string>"
],
"timeGrain": "minute"
}
'import requests
url = "https://evalgate.com/api/metric-definitions/{id}"
payload = {
"source": "traces",
"metricKey": "<string>",
"measure": "<string>",
"aggregation": "max",
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"unknownPolicy": "fail",
"calibrationBoundary": { "state": "not_applicable" },
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": True
}
],
"groupBy": ["<string>"],
"timeGrain": "minute"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'traces',
metricKey: '<string>',
measure: '<string>',
aggregation: 'max',
window: {type: 'relative', lookbackSeconds: 123, timezone: '<string>'},
unknownPolicy: 'fail',
calibrationBoundary: {state: 'not_applicable'},
filters: [{operator: 'exists', field: '<string>', value: true}],
groupBy: ['<string>'],
timeGrain: 'minute'
})
};
fetch('https://evalgate.com/api/metric-definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"version": 123,
"approvedBy": "<string>",
"source": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"metricKey": "<string>",
"measure": "<string>",
"aggregation": "<string>",
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"groupBy": [
"<string>"
],
"timeGrain": "<string>",
"unknownPolicy": "<string>",
"calibrationBoundary": {
"state": "not_applicable"
},
"windowJson": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"definitionHash": "<string>",
"parentVersionId": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
source
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>
required
Available options:
traces aggregation
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>
required
Available options:
max - Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
fail - Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
timeGrain
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
minute Response
Successful response
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I
Update metric definitions id
